AeroFlangeBuilder Class

class NXOpen.Features.SheetMetal.AeroFlangeBuilder

Bases: NXOpen.Features.SheetMetal.SheetmetalBaseBuilder

Represents a Aerospace Sheet Metal Flange Builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.AeroSheetmetalManager.CreateFlangeBuilder()

New in version NX4.0.0.

Properties

Property Description
Angle Returns the angle expression.
BaseEdges Returns or sets the base edge section object for the flange.
BendOptions Returns the base edge section object for the flange.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
RefFaces Returns or sets the ref face smart collector object
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetApplicationContext Get the application context.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetContourFlag Get the flag that turns on/off the visibility of Contour Curve
GetDimensionType Get the length dimension type of the flange
GetEndCompensation Get end compensation.
GetEndPlane Get the end plane
GetFeature Returns the feature currently being edited by this builder.
GetFlipDirection Get flip direction.
GetLength Get the type of length and the length expression.
GetMaterialType Get the material type of the flange
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetAngle Set the angle expression.
SetApplicationContext Set the application context.
SetContourFlag Set the flag that turns on/off the visibility of Contour Curve
SetDimensionType Set the length dimension type of the flange
SetEndCompensation Set end compensation.
SetEndPlane Set the end plane
SetFlipDirection Set flip direction.
SetLength Set the type of length and the length expression.
SetMaterialType Set the material type of the flange
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

AeroFlangeBuilderCompType Enumeration This method defines the types of Flange Compensation
AeroFlangeBuilderDimType Enumeration This enum defines the flange length dimension types
AeroFlangeBuilderDirType Enumeration This enum defines the type of direction vector
AeroFlangeBuilderEndType Enumeration This enum defines the ends of a bend edge
AeroFlangeBuilderLengthType Enumeration This enum defines the length type options.
AeroFlangeBuilderMatType Enumeration This enum defines the material types

Property Detail

Angle

AeroFlangeBuilder.Angle

Returns the angle expression.

-------------------------------------

Getter Method

Signature Angle

Returns:angle expression
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

BaseEdges

AeroFlangeBuilder.BaseEdges

Returns or sets the base edge section object for the flange.

-------------------------------------

Getter Method

Signature BaseEdges

Returns:Base Edges
Return type:NXOpen.ScCollector

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

-------------------------------------

Setter Method

Signature BaseEdges

Parameters:baseEdges (NXOpen.ScCollector) – Base Edges

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

BendOptions

AeroFlangeBuilder.BendOptions

Returns the base edge section object for the flange.

-------------------------------------

Getter Method

Signature BendOptions

Returns:Bend Options
Return type:NXOpen.Features.SheetMetal.BendOptions

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

RefFaces

AeroFlangeBuilder.RefFaces

Returns or sets the ref face smart collector object

-------------------------------------

Getter Method

Signature RefFaces

Returns:
Return type:NXOpen.ScCollector

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

-------------------------------------

Setter Method

Signature RefFaces

Parameters:faceCollector (NXOpen.ScCollector) –

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

Method Detail

GetContourFlag

AeroFlangeBuilder.GetContourFlag

Get the flag that turns on/off the visibility of Contour Curve

Signature GetContourFlag()

Returns:false = Hide contour curve, true = Show contour curve
Return type:bool

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetDimensionType

AeroFlangeBuilder.GetDimensionType

Get the length dimension type of the flange

Signature GetDimensionType()

Returns:inside/outside
Return type:NXOpen.Features.SheetMetal.AeroFlangeBuilderDimType

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetEndCompensation

AeroFlangeBuilder.GetEndCompensation

Get end compensation.

Signature GetEndCompensation(endType)

Parameters:endType (NXOpen.Features.SheetMetal.AeroFlangeBuilderEndType) – end1/end2
Returns:a tuple
Return type:A tuple consisting of (valueExpression, compType). valueExpression is a NXOpen.Expression. compensation expression compType is a NXOpen.Features.SheetMetal.AeroFlangeBuilderCompType. Automatic/Angle/Distance/None

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetEndPlane

AeroFlangeBuilder.GetEndPlane

Get the end plane

Signature GetEndPlane(endType)

Parameters:endType (NXOpen.Features.SheetMetal.AeroFlangeBuilderEndType) – end1/end2
Returns:smart plane entity
Return type:NXOpen.Plane

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetFlipDirection

AeroFlangeBuilder.GetFlipDirection

Get flip direction.

Signature GetFlipDirection(type)

Parameters:type (NXOpen.Features.SheetMetal.AeroFlangeBuilderDirType) – direction type bend/discard
Returns:flip_flag => false = do not flip, true = flip
Return type:bool

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetLength

AeroFlangeBuilder.GetLength

Get the type of length and the length expression.

Signature GetLength()

Returns:a tuple
Return type:A tuple consisting of (lengthExpression, type). lengthExpression is a NXOpen.Expression. length expression type is a NXOpen.Features.SheetMetal.AeroFlangeBuilderLengthType. length type Value/Infer

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetMaterialType

AeroFlangeBuilder.GetMaterialType

Get the material type of the flange

Signature GetMaterialType()

Returns:material inside/material outside/bend outside
Return type:NXOpen.Features.SheetMetal.AeroFlangeBuilderMatType

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetAngle

AeroFlangeBuilder.SetAngle

Set the angle expression.

This method should be called only when there is no ref_face selection.

Signature SetAngle(angleExpression)

Parameters:angleExpression (str) – value of angle expression

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetContourFlag

AeroFlangeBuilder.SetContourFlag

Set the flag that turns on/off the visibility of Contour Curve

Signature SetContourFlag(showContour)

Parameters:showContour (bool) – false = Hide contour curve, true = Show contour curve

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetDimensionType

AeroFlangeBuilder.SetDimensionType

Set the length dimension type of the flange

Signature SetDimensionType(dimType)

Parameters:dimType (NXOpen.Features.SheetMetal.AeroFlangeBuilderDimType) – inside/outside

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetEndCompensation

AeroFlangeBuilder.SetEndCompensation

Set end compensation.

This method sets the flange compensation for one end of a non-periodic Base Edge section. The end_type input parameter denotes if the end is the start of section(end1) or the end of section(end2). If the compensation type( comp_type) is either Angle or Distance, an expression for the value of compensation must be provided. This expression input can be NULL for Automatic and None type of compensations.

Signature SetEndCompensation(endType, compType, valueExpression)

Parameters:

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetEndPlane

AeroFlangeBuilder.SetEndPlane

Set the end plane

Signature SetEndPlane(endType, endPlane)

Parameters:

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetFlipDirection

AeroFlangeBuilder.SetFlipDirection

Set flip direction.

This method is called if either the bend direction or the material direction needs to be flipped.

Signature SetFlipDirection(type, flipFlag)

Parameters:

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetLength

AeroFlangeBuilder.SetLength

Set the type of length and the length expression.

If there are no ref_face’s then the only length type possible is “Value”. If there are selected ref_face’s and the length type is “Infer”, then the length expression should be NULL.

Signature SetLength(type, valueExpression)

Parameters:

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetMaterialType

AeroFlangeBuilder.SetMaterialType

Set the material type of the flange

Signature SetMaterialType(matType)

Parameters:matType (NXOpen.Features.SheetMetal.AeroFlangeBuilderMatType) – material inside/material outside/bend outside

New in version NX4.0.0.

License requirements: aero_sheet_metal (“Aerospace Sheet Metal”) OR adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

Validate

AeroFlangeBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.